%define upstream_name    MooseX-MultiInitArg
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Attributes with aliases for constructor arg
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch


%{?perl_default_filter}

%description
If you've ever wanted to be able to call an attribute any number of things
while you're passing arguments to your object constructor, Now You Can.

The primary motivator is that I have some attributes that were named
inconsistently, and I wanted to rename them without breaking backwards
compatibility with my existing API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.20.0-11.mga10
+ Revision: 2199931
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-10.mga9
+ Revision: 1804680
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-9.mga8
+ Revision: 1495664
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-8.mga7
+ Revision: 1269609
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1030487
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 929547
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 739377
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.20.0-4.mga5
+ Revision: 735846
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-3.mga5
+ Revision: 685550
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 537362
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 486867
- update to 0.02

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 370203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 28677
- mageia rebuild
- imported package perl-MooseX-MultiInitArg

